/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The CancelInvoiceRequest model module.
 * Note: This model is in beta.
 * @module model/CancelInvoiceRequest
 */

/**
 * Constructs a new <code>CancelInvoiceRequest</code>.
 * Describes a &#x60;CancelInvoice&#x60; request.
 * @alias module:model/CancelInvoiceRequest
 * @class
 * @param version {Number} The version of the `invoice` to cancel. If you do not know the version, you can call  `GetInvoice](#endpoint-Invoices-GetInvoice) or [ListInvoices`.
 */
var exports = function(version) {
  var _this = this;

  _this['version'] = version;
};

/**
 * Constructs a <code>CancelInvoiceRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/CancelInvoiceRequest} obj Optional instance to populate.
 * @return {module:model/CancelInvoiceRequest} The populated <code>CancelInvoiceRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('version')) {
      obj['version'] = ApiClient.convertToType(data['version'], 'Number');
    }
    }
  return obj;
}

/**
 * The version of the `invoice` to cancel. If you do not know the version, you can call  `GetInvoice](#endpoint-Invoices-GetInvoice) or [ListInvoices`.
 * @member {Number} version
 */
exports.prototype['version'] = undefined;



module.exports = exports;



