/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var SubscriptionPhase = require('./SubscriptionPhase');




/**
 * The CatalogSubscriptionPlan model module.
 * Note: This model is in beta.
 * @module model/CatalogSubscriptionPlan
 */

/**
 * Constructs a new <code>CatalogSubscriptionPlan</code>.
 * Describes a subscription plan. For more information, see [Set Up and Manage a Subscription Plan](/docs/subscriptions-api/setup-plan).
 * @alias module:model/CatalogSubscriptionPlan
 * @class
 */
var exports = function() {
  var _this = this;



};

/**
 * Constructs a <code>CatalogSubscriptionPlan</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/CatalogSubscriptionPlan} obj Optional instance to populate.
 * @return {module:model/CatalogSubscriptionPlan} The populated <code>CatalogSubscriptionPlan</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('name')) {
      obj['name'] = ApiClient.convertToType(data['name'], 'String');
    }
      if (data.hasOwnProperty('phases')) {
      obj['phases'] = ApiClient.convertToType(data['phases'], [SubscriptionPhase]);
    }
    }
  return obj;
}

/**
 * The name of the plan.
 * @member {String} name
 */
exports.prototype['name'] = undefined;
/**
 * A list of SubscriptionPhase containing the `SubscriptionPhase` for this plan.
 * @member {Array.<module:model/SubscriptionPhase>} phases
 */
exports.prototype['phases'] = undefined;



module.exports = exports;



