/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var DeviceCode = require('./DeviceCode');




/**
 * The CreateDeviceCodeRequest model module.
 * Note: This model is in beta.
 * @module model/CreateDeviceCodeRequest
 */

/**
 * Constructs a new <code>CreateDeviceCodeRequest</code>.
 * 
 * @alias module:model/CreateDeviceCodeRequest
 * @class
 * @param idempotencyKey {String} A unique string that identifies this CreateCheckout request. Keys can be any valid string but must be unique for every CreateCheckout request.  See [Idempotency keys](https://developer.squareup.com/docs/basics/api101/idempotency) for more information.
 * @param deviceCode {module:model/DeviceCode} The device code to create.
 */
var exports = function(idempotencyKey, deviceCode) {
  var _this = this;

  _this['idempotency_key'] = idempotencyKey;
  _this['device_code'] = deviceCode;
};

/**
 * Constructs a <code>CreateDeviceCodeRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/CreateDeviceCodeRequest} obj Optional instance to populate.
 * @return {module:model/CreateDeviceCodeRequest} The populated <code>CreateDeviceCodeRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('idempotency_key')) {
      obj['idempotency_key'] = ApiClient.convertToType(data['idempotency_key'], 'String');
    }
      if (data.hasOwnProperty('device_code')) {
      obj['device_code'] = DeviceCode.constructFromObject(data['device_code']);
    }
    }
  return obj;
}

/**
 * A unique string that identifies this CreateCheckout request. Keys can be any valid string but must be unique for every CreateCheckout request.  See [Idempotency keys](https://developer.squareup.com/docs/basics/api101/idempotency) for more information.
 * @member {String} idempotency_key
 */
exports.prototype['idempotency_key'] = undefined;
/**
 * The device code to create.
 * @member {module:model/DeviceCode} device_code
 */
exports.prototype['device_code'] = undefined;



module.exports = exports;



