/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var Error = require('./Error');
var Merchant = require('./Merchant');




/**
 * The ListMerchantsResponse model module.
 * @module model/ListMerchantsResponse
 */

/**
 * Constructs a new <code>ListMerchantsResponse</code>.
 * The response object returned by the [ListMerchant](#endpoint-listmerchant) endpoint.
 * @alias module:model/ListMerchantsResponse
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>ListMerchantsResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/ListMerchantsResponse} obj Optional instance to populate.
 * @return {module:model/ListMerchantsResponse} The populated <code>ListMerchantsResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
      if (data.hasOwnProperty('merchant')) {
      obj['merchant'] = ApiClient.convertToType(data['merchant'], [Merchant]);
    }
      if (data.hasOwnProperty('cursor')) {
      obj['cursor'] = ApiClient.convertToType(data['cursor'], 'Number');
    }
    }
  return obj;
}

/**
 * Information on errors encountered during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;
/**
 * The requested `Merchant` entities.
 * @member {Array.<module:model/Merchant>} merchant
 */
exports.prototype['merchant'] = undefined;
/**
 * If the  response is truncated, the cursor to use in next  request to fetch next set of objects.
 * @member {Number} cursor
 */
exports.prototype['cursor'] = undefined;



module.exports = exports;



