/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The LoyaltyEventAdjustPoints model module.
 * Note: This model is in beta.
 * @module model/LoyaltyEventAdjustPoints
 */

/**
 * Constructs a new <code>LoyaltyEventAdjustPoints</code>.
 * Provides metadata when the event &#x60;type&#x60; is &#x60;ADJUST_POINTS&#x60;.
 * @alias module:model/LoyaltyEventAdjustPoints
 * @class
 * @param points {Number} The number of points added or removed.
 */
var exports = function(points) {
  var _this = this;


  _this['points'] = points;

};

/**
 * Constructs a <code>LoyaltyEventAdjustPoints</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/LoyaltyEventAdjustPoints} obj Optional instance to populate.
 * @return {module:model/LoyaltyEventAdjustPoints} The populated <code>LoyaltyEventAdjustPoints</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('loyalty_program_id')) {
      obj['loyalty_program_id'] = ApiClient.convertToType(data['loyalty_program_id'], 'String');
    }
      if (data.hasOwnProperty('points')) {
      obj['points'] = ApiClient.convertToType(data['points'], 'Number');
    }
      if (data.hasOwnProperty('reason')) {
      obj['reason'] = ApiClient.convertToType(data['reason'], 'String');
    }
    }
  return obj;
}

/**
 * The Square-assigned ID of the `loyalty program`.
 * @member {String} loyalty_program_id
 */
exports.prototype['loyalty_program_id'] = undefined;
/**
 * The number of points added or removed.
 * @member {Number} points
 */
exports.prototype['points'] = undefined;
/**
 * The reason for the adjustment of points.
 * @member {String} reason
 */
exports.prototype['reason'] = undefined;



module.exports = exports;



