/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The LoyaltyEventLocationFilter model module.
 * Note: This model is in beta.
 * @module model/LoyaltyEventLocationFilter
 */

/**
 * Constructs a new <code>LoyaltyEventLocationFilter</code>.
 * Filter events by location.
 * @alias module:model/LoyaltyEventLocationFilter
 * @class
 * @param locationIds {Array.<String>} The `location` IDs for loyalty events to query. If multiple values are specified, the endpoint uses  a logical OR to combine them.
 */
var exports = function(locationIds) {
  var _this = this;

  _this['location_ids'] = locationIds;
};

/**
 * Constructs a <code>LoyaltyEventLocationFilter</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/LoyaltyEventLocationFilter} obj Optional instance to populate.
 * @return {module:model/LoyaltyEventLocationFilter} The populated <code>LoyaltyEventLocationFilter</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('location_ids')) {
      obj['location_ids'] = ApiClient.convertToType(data['location_ids'], ['String']);
    }
    }
  return obj;
}

/**
 * The `location` IDs for loyalty events to query. If multiple values are specified, the endpoint uses  a logical OR to combine them.
 * @member {Array.<String>} location_ids
 */
exports.prototype['location_ids'] = undefined;



module.exports = exports;



