/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The LoyaltyEventLoyaltyAccountFilter model module.
 * Note: This model is in beta.
 * @module model/LoyaltyEventLoyaltyAccountFilter
 */

/**
 * Constructs a new <code>LoyaltyEventLoyaltyAccountFilter</code>.
 * Filter events by loyalty account.
 * @alias module:model/LoyaltyEventLoyaltyAccountFilter
 * @class
 * @param loyaltyAccountId {String} The ID of the `loyalty account` associated with loyalty events.
 */
var exports = function(loyaltyAccountId) {
  var _this = this;

  _this['loyalty_account_id'] = loyaltyAccountId;
};

/**
 * Constructs a <code>LoyaltyEventLoyaltyAccountFilter</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/LoyaltyEventLoyaltyAccountFilter} obj Optional instance to populate.
 * @return {module:model/LoyaltyEventLoyaltyAccountFilter} The populated <code>LoyaltyEventLoyaltyAccountFilter</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('loyalty_account_id')) {
      obj['loyalty_account_id'] = ApiClient.convertToType(data['loyalty_account_id'], 'String');
    }
    }
  return obj;
}

/**
 * The ID of the `loyalty account` associated with loyalty events.
 * @member {String} loyalty_account_id
 */
exports.prototype['loyalty_account_id'] = undefined;



module.exports = exports;



